// -------- music.h

#ifndef MUSIC_H
#define MUSIC_H

#include "hand.h"

class MusicHand : public Hand  {
  friend class Theatrix;
  char *scorefilename;
  char *score;
  static char *drivers[3];
  static char *driverptr[3];
  static char *realptr[3];
  static void startup();
  static void shutdown();
  static int load_sound_drivers();
  static int init_driver();
  static void terminate_driver();
  static void delete_drivers(int i);
  static int music_supported;
protected:
  virtual void initialize();
public:
  MusicHand(char *sc);
  virtual ~MusicHand();
  void play_music_clip(int index);
  int music_clip_is_playing();
  void stop_music_clip();
  void load_score(char*);
  int isconducting()
    { return music_supported; }
};

#endif

